Option Strict Off
Option Explicit On
Module Module14
    Private Declare Function ECF_PercentualLivreMFD Lib "CONVECF.DLL" (ByVal PMemLivre As String) As Integer
    Private Declare Function ECF_TotalLivreMFD Lib "CONVECF.DLL" (ByVal MemLivre As String) As Integer
    Private Declare Function ECF_ReducoesRestantesMFD Lib "CONVECF.DLL" (ByVal Reducoes As String) As Integer
    Private Declare Function ECF_TamanhoTotalMFD Lib "CONVECF.DLL" (ByVal TMemLivre As String) As Integer
    Private Declare Function ECF_DataMovimento Lib "CONVECF.DLL" (ByVal Data As String) As Integer
	
	Function PercentualLivreMFD() As Object
		Dim retorno As Object
		Dim Perc As String

        MsgBox("Função utilizada somente nas Impressoras Térmicas", MsgBoxStyle.Information)
        Perc = Space(6)
        retorno = ECF_PercentualLivreMFD(Perc)
        MsgBox(" 'Percentual Livre' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Percentual Livre da MFD: " & Perc)

    End Function
	
	Function TotalLivreMFD() As Object
		Dim retorno As Object
		Dim TotLivre As String

        MsgBox("Função utilizada somente nas Impressoras Térmicas", MsgBoxStyle.Information)
        TotLivre = Space(10)
        retorno = ECF_TotalLivreMFD(TotLivre)
		MsgBox(" 'Total Livre' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Total Livre da MFD: " & TotLivre & " bytes")

    End Function
	
	Function ReducoesRestantes() As Object
		Dim retorno As Object
		Dim Z As String

        Z = Space(4)
        retorno = ECF_ReducoesRestantesMFD(Z)
		MsgBox(" 'Reduções Restantes' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Reduções Z Restantes: " & Z)

	End Function
	
	Function TamanhoTotalMFD() As Object
		Dim retorno As Object
		Dim TamTot As String

        MsgBox("Função utilizada somente nas Impressoras Térmicas", MsgBoxStyle.Information)
        TamTot = Space(10)
        retorno = ECF_TamanhoTotalMFD(TamTot)
		MsgBox(" 'Tamanho Total da MFD' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Tamanho Total da MFD: " & TamTot & " bytes")

	End Function
	
	Function DataMovimento() As Object
		Dim retorno As Object
		Dim DT As String


        DT = Space(6)
        retorno = ECF_DataMovimento(DT)
        MsgBox(" 'Data de Movimento' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Data de Movimento: " & DT)

	End Function
End Module